#include <stdio.h>
#include <iostream>
#include <vector>
#include <string>
#include <algorithm>
#include <math.h>


using namespace std;


#define f first
#define s second
#define mp(x, y) make_pair(x, y)
typedef vector< pair<int, int> > VPII;


const int MaxN = 100;
const int MaxM = 1000;
const int MaxK = 1*1000;
const int MaxAB = 10*1000*1000;


void merge(VPII& a, VPII b) {
	int as = a.size();
	a.resize(as + b.size());
	for (int i = 0; i < b.size(); i++) {
	a[as + i] = b[i];
	}
	sort(a.begin(), a.end());
	
	if (!a.size()) {
		return;
	}
	int k = 0;
	int l = a[0].f;
	int r = a[0].s;

	for (int i = 1; i < a.size(); i++) {
		if (l <= a[i].f && a[i].f <= r) {
			r = max(r, a[i].s);
		} else {
			a[k++] = mp(l, r);
			l = a[i].f;
			r = a[i].s;
		}
	}
	a[k++] = mp(l, r);
	a.resize(k);
}


bool in_segments(const VPII& v, int x) {
	int l = 0;
	int r = v.size() - 1;

	do {
		int q = (l+r) / 2;
		if (v[q].f <= x && x <= v[q].s) {
			return true;
		} else {
			if (v[q].f > x) {
				r = q - 1;
			} else {
				l = q + 1;
			}
		}
	} while (l <= r);
	return false;
}


inline void my_assert(bool cond, const string& msg) {
	if (!cond) {
		cerr << "WRONG INPUT : ";
		cerr << msg << endl;		
		throw msg;
	}
}


int n;
VPII tmp, curr;


void count_scores(int& x) {
	int k, m, a, b;
	scanf("%d", &m);
	my_assert(0 <= m && m <= MaxM, "Wrong M value");
	tmp.resize(m);
	for (int i = 0; i < m; i++) {
		scanf("%d%d", &a, &b);
		my_assert(a <= b, "Left side MUST be less than right");
		my_assert(0 <= a && a <= MaxAB && 0 <= b && b <= MaxAB, "One of segments is out of range");
		tmp[i] = mp(a, b);
	}
	merge(curr, tmp);
	scanf("%d", &k);
	my_assert(0 <= k && k <= MaxK, "Wrong K value");
	for (int i = 0; i < k; i++) {
		scanf("%d", &a);
		x += in_segments(curr, a);
	}
//	cerr << curr.size() << endl;
}


int main() {
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
	scanf("%d", &n);
	my_assert(1 <= n && n <= MaxN, "Wrong N value");
	
	int a = 0;
	for (int i = 0; i < n; i++) {
		count_scores(a);
	}
//	cerr << curr.size() << endl;
		
	cout << a;
	fclose(stdin);
	fclose(stdout);
}
